Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Software & Services

Language
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel

Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Zyxel GS1900-10HP, Managed, L2, Gigabit Ethernet (10/100/1000), Power over Ethernet (PoE)

Part NumberGS1900-10HP
UPC760559123451

MSRP

$238.21

Public MSRP in CAD. Your quoted price comes from an account manager.

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request
Paste your parts list or upload a CSV

Talk to Us(514) 738-6350

  • Canadian-owned since 1979
  • Authorized reseller of every brand we carry
  • Public MSRP
  • English and French
  • For Canadian businesses

Overview

Zyxel GS1900-10HP. Switch type: Managed, Switch layer: L2. Basic switching RJ-45 Ethernet ports type: Gigabit Ethernet (10/100/1000), Basic switching RJ-45 Ethernet ports quantity: 10, Console port: RJ-45. MAC address table: 8000 entries, Switching capacity: 20 Gbit/s. Networking standards: IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE.... Power over Ethernet (PoE)

Explore More

Specifications

Switch type
Managed
Switch layer
L2
Quality of Service (QoS) support
Yes
MIB support
RFC 1213 MIB II, RFC 2819 RMON (group 1,2,3,9), RFC 1215 generic traps, RFC 1493 bridge, Private MIB

Basic switching RJ-45 Ethernet ports quantity
10
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
SFP module slots quantity
2
Fiber optic connector
SFP
Console port
RJ-45

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

$238.21